Metasploit 4.8.1 (Update 2013112701)

Document created by Brandon Turner Employee on Nov 23, 2013
Version 1Show Document
  • View in full screen mode

Summary

This updates Metasploit to 4.8.1.

 

This update includes 1 new module for DesktopCentral.

 

In addition, this update fixes 3 issues.

 

Exploit modules

 

Notable Changes and Resolved Issues

  • Upgrades Ruby to 1.9.3-p484 due to CVE-2013-4164
  • 8479 - DCERPC Endpoint mapper does not respect RPORT
  • 8693 - struts_default_action_mapper fails against struts2.0.11.2

 

How to Upgrade

Metasploit Pro is upgraded using the Administration menu and choosing the option Software Upgrade. To see how to upgrade your Metasploit installation, view this video in the Rapid7 Community.

 

Version Information

PRO 4.8.0 updates to 4.8.1-2013112701

MSF3 4.8.0 updates to 4.8.1-2013112701

Attachments

    Outcomes